# Arduinos In Space!

A library for interacting with [Objects in Space](http://objectsgame.com/)
via a serial connection.

## Protocol support

Arduinos In Space understands all of the known requests and commands
generated in `serial_commands.txt` by Objects In Space 1.0.2. The protocol,
and requests and commands, are still being added and refined. Arduinos In
Space may lag slightly, or even briefly stop working between releases.

## Installation

While the library (and the game!) aren't really released yet, it can
only be installed manually by following these steps:

* Download the most recent release from the
  [downloads section](https://bitbucket.org/pjhardy/arduinosinspace/downloads/)
  of the Bitbucket repository.
* In the Arduino IDE, navigate to Sketch -> Include Library ->
  Add .ZIP Library...
* Select the zip file previously downloaded.

## Documentation

Full documentation, including usage and the API, is available at the
OiS wiki: https://oiswiki.sysadninjas.net/wiki/Arduinos_in_Space

### Example sketches

Sketches in the `examples/` directory illustrate basic usage for trivial
controllers.
